## montage 4.0%2bdfsg

=== Makefile ===
all:
	mkdir -p bin
	mkdir -p lib/include
	(cd lib/src; make)
	(cd Montage; ./Configure.sh; make; make install)
	if test -d util; then (cd util; make); fi
	if test -d grid; then (cd grid; make); fi

clean:
	mkdir -p bin
	mkdir -p lib/include
	rm -f bin/*
	(cd lib/src; make clean)
	(cd Montage; make clean)
	if test -d util; then (cd util; make clean); fi
	if test -d grid; then (cd grid; make clean); fi

=== lib/src/pixbounds/Makefile ===
CC      =               gcc 
CFLAGS  =               -c -g -I. -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
LIBNAME =               libpixbounds.a

SRCS    =               pixbounds.c

OBJS    =               ${SRCS:.c=.o}

libpixbounds.a:		pixbounds.o
			rm -f ${LIBNAME}
			ar q ${LIBNAME} pixbounds.o

install:
			cp libpixbounds.a ../..
			cp pixbounds.h ../../include

clean:
			rm -f bndtest libpixbounds.a *.o *.a *.i a.out core

test:			bndtest.c
			$(CC) -o bndtest bndtest.c -I. -L. -lpixbounds -lm

runtest:
			bndtest < test.txt

## montage 3.3+dfsg

=== debian/changelog ===
montage (3.3+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #787706

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Jun 2015 22:05:31 +0200

=== debian/control ===
Source: montage
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               libcfitsio-dev | libcfitsio3-dev,
               libjpeg-dev,
               libwcstools-dev
Standards-Version: 3.9.6
Homepage: http://montage.ipac.caltech.edu/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/montage.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/montage.git

Package: montage
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Toolkit for assembling FITS images into mosaics
 Montage is a toolkit for assembling astronomical images into custom mosaics.
 .
 It uses algorithms that preserve the calibration and positional (astrometric)
 fidelity of the input images to deliver mosaics that meet user-specified
 parameters of projection, coordinates, and spatial scale. It supports all
 projections and coordinate systems in use in astronomy.
 .
 It contains independent modules for analyzing the geometry of images on the
 sky, and for creating and managing mosaics; these modules are powerful tools
 in their own right and have applicability outside mosaic production, in areas
 such as data validation.

Package: montage-gridtools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: pegasus-wms, htcondor, montage
Description: Create files to run montage on the grid
 Montage is a toolkit for assembling astronomical images into custom mosaics.
 .
 This package contains modules that can generate a Directed Acyclic Graph
 (DAG) representation of the mosaicking process for a set of on-line surveys
 (e.g., 2MASS). This information is fed to the Pegasus software from ISI (the
 Information Sciences Institute), which produces processing plans for Condor
 (or Condor-G on the Teragrid).
 .
 These modules should be considered prototypes: they have been used
 extensively but have not been subject to the same rigorous testing to which
 the core modules have been subjected. Users should contact Montage
 (montage@ipac.caltech.edu) before employing them to verify limitations in
 their use and changes in the interfaces.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://montage.ipac.caltech.edu/docs/download2.html .*/Montage_v(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## montage 4.0+dfsg

=== util/Makefile ===
all:
	(cd Archive/ArchiveList; ./Configure.sh; make; make install)
	(cd Archive/ArchiveExec; make; make install)
	(cd Archive/ArchiveGet; ./Configure.sh; make; make install)
	(cd BestImage; make; make install)
	(cd CatMap; ./Configure.sh; make; make install)
	(cd Examine; ./Configure.sh; make; make install)
	(cd Exec; ./Configure.sh; make; make install)
	(cd FixNaN; ./Configure.sh; make; make install)
	(cd Hdr; ./Configure.sh; make; make install)
	(cd JPEG; ./Configure.sh; make; make install)
	(cd Pad; ./Configure.sh; make; make install)
	(cd Pix2Coord; ./Configure.sh; make; make install)
	(cd QuickSearch; ./Configure.sh; make; make install)
	(cd Rotate; ./Configure.sh; make; make install)
	(cd ShrinkHdr; ./Configure.sh; make; make install)
	(cd TblExec; make; make install)
	(cd Transpose; ./Configure.sh; make; make install)
	(cd Viewer; ./Configure.sh; make; make install)

clean:
	(cd Archive/ArchiveList; make clean)
	(cd Archive/ArchiveExec; make clean)
	(cd Archive/ArchiveGet; make clean)
	(cd BestImage; make clean)
	(cd CatMap; make clean)
	(cd Examine; make clean)
	(cd Exec; make clean)
	(cd FixNaN; make clean)
	(cd Hdr; make clean)
	(cd JPEG; make clean)
	(cd Pad; make clean)
	(cd Pix2Coord; make clean)
	(cd QuickSearch; make clean)
	(cd Rotate; make clean)
	(cd ShrinkHdr; make clean)
	(cd TblExec; make clean)
	(cd Transpose; make clean)
	(cd Viewer; make clean)

=== lib/src/Makefile ===
l:
	(cd cfitsio-3.25; ./configure; make; cp libcfitsio.a ../..; cp *.h ../../include)
	(cd cmd; make; make install)
	(cd coord; make; make install)
	(cd mtbl; make; make install)
	(cd svc; make; make install)
	(cd boundaries; make; make install)
	(cd pixbounds; make; make install)
	(cd wcstools-3.8.7/libwcs; make; cp libwcs.a ../../..; cp *.h ../../../include)
	(cd two_plane_v1.1; make; make install)
	(cd lodepng_20140823; make; make install)
	(cd jpeg-8b; ./configure; make; cp .libs/libjpeg.a ../..; cp jpeglib.h jconfig.h jmorecfg.h ../../include)
	(cd freetype-2.5.4; ./configure --prefix=`pwd`/../../freetype --without-png; make; make install)
	(cd ..; ranlib *.a)
	chmod 644 ../include/*

clean:
	rm -rf ../include/* ../freetype ../*.a
	(cd cfitsio-3.25; make clean; rm -rf config.log config.cache config.status lib)
	(cd cmd; make clean)
	(cd coord; make clean)
	(cd mtbl; make clean)
	(cd svc; make clean)
	(cd boundaries; make clean)
	(cd pixbounds; make clean)
	(cd wcstools-3.8.7/libwcs; make clean)
	(cd two_plane_v1.1; make clean)
	(cd lodepng_20140823; make clean)
	(cd jpeg-8b; make clean)
	(cd freetype-2.5.4; make clean; rm -rf objs/libfreetype.la  objs/.libs)

=== lib/src/boundaries/Makefile ===
CC      =		gcc
CFLAGS  =		-c -g -I. -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
LIBNAME =		libboundaries.a

SRCS    =		boundaries.c

OBJS    =		${SRCS:.c=.o}


libboundaries.a:	${OBJS}
			rm -f ${LIBNAME}
			ar q ${LIBNAME} ${OBJS}

${OBJS}:		boundaries.h

install:
			cp libboundaries.a ../..
			cp boundaries.h ../../include

clean:
			rm -f libboundaries.a *.o *.a *.i a.out core

=== lib/src/lodepng_20140823/Makefile ===
CC      =   gcc
CFLAGS  =   -c -ansi -Wall -g -I. -I../../include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

liblodepng.a:	lodepng.o 
				ar rv liblodepng.a lodepng.o 

install:
				cp liblodepng.a ../..
				cp lodepng.h ../../include

clean:
				rm -f *.o *.a core

=== lib/src/mtbl/Makefile ===
CC = gcc -g -I . -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

libmtbl.a:	mtbl.c
		$(CC) -c mtbl.c
		ar rv libmtbl.a mtbl.o

install:
		cp libmtbl.a ../..
		cp mtbl.h ../../include

clean:		
		rm -f libmtbl.a *.o *.a core

=== lib/src/two_plane_v1.1/Makefile ===
CC      =       gcc
CFLAGS  =       -c -ansi -Wall -g -I. -I../../include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

libtwoplane.a:	two_plane.o distort.o initdistdata.o \
		undistort.o redefine_pointing.o
		ar rv libtwoplane.a two_plane.o distort.o initdistdata.o \
		undistort.o redefine_pointing.o

install:
		cp libtwoplane.a ../..
		cp two_plane.h distort.h ../../include

clean:
		rm -f libtwoplane.a *.o *.a core

=== debian/changelog ===
montage (4.0+dfsg-3) unstable; urgency=low

  * Remove linkage to libnsl
  * Fix freetype include path again, to make it universal

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Dec 2015 16:17:36 +0100

montage (4.0+dfsg-2) unstable; urgency=low

  * Fix freetype include path

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Dec 2015 16:03:55 +0100

montage (4.0+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Fri, 02 Oct 2015 21:47:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper (>= 9),
                libcfitsio-dev | libcfitsio3-dev,
+	       libfreetype6-dev,
                libjpeg-dev,
                libwcstools-dev
 Standards-Version: 3.9.6
@@ -14,7 +15,7 @@
 
 Package: montage
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-freefont-ttf
 Description: Toolkit for assembling FITS images into mosaics
  Montage is a toolkit for assembling astronomical images into custom mosaics.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	mkdir -p lib/include bin
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs ChangeHistory

## montage 5.0+dfsg

=== Makefile ===
all:
	mkdir -p bin
	mkdir -p lib/include
	if test -d lib/src;    then (cd lib/src;    make); fi
	if test -d Montage;    then (cd Montage;  ./Configure.sh; make; make install); fi
	if test -d util;       then (cd util;       make); fi
	if test -d grid;       then (cd grid;       make); fi
	if test -d MontageLib; then (cd MontageLib; make); fi
	if test -d ancillary;  then (cd ancillary;  make; make install); fi

clean:
	mkdir -p bin
	mkdir -p lib/include
	rm -f bin/*
	if test -d lib/src;    then (cd lib/src;    make clean); fi
	if test -d Montage;    then (cd Montage;    make clean); fi
	if test -d util;       then (cd util;       make clean); fi
	if test -d grid;       then (cd grid;       make clean); fi
	if test -d MontageLib; then (cd MontageLib; make clean); fi
	if test -d ancillary;  then (cd ancillary;  make clean); fi

=== MontageLib/Makefile ===
UNAME_S := $(shell uname -s)

SO_FLAG := 

ifeq ($(UNAME_S),Darwin)
   SO_FLAG := -undefined dynamic_lookup
endif

all: pgm lib

pgm: 
		(cd util;                          make)
		(cd Add;           ./Configure.sh; make; make install)
		(cd AddCube;       ./Configure.sh; make; make install)
		(cd Background;    ./Configure.sh; make; make install)
		(cd BestImage;                     make; make install)
		(cd BgModel;                       make; make install)
		(cd CoverageCheck; ./Configure.sh; make; make install)
		(cd Diff;          ./Configure.sh; make; make install)
		(cd Examine;       ./Configure.sh; make; make install)
		(cd Fitplane;                      make; make install)
		(cd FixNaN;        ./Configure.sh; make; make install)
		(cd GetHdr;                        make; make install)
		(cd Hdr;           ./Configure.sh; make; make install)
		(cd Histogram;                     make; make install)
		(cd Imgtbl;        ./Configure.sh; make; make install)
		(cd MakeHdr;       ./Configure.sh; make; make install)
		(cd MakeImg;       ./Configure.sh; make; make install)
		(cd Overlaps;      ./Configure.sh; make; make install)
		(cd Project;       ./Configure.sh; make; make install)
		(cd ProjectCube;   ./Configure.sh; make; make install)
		(cd ProjectPP;     ./Configure.sh; make; make install)
		(cd ProjectQL;     ./Configure.sh; make; make install)
		(cd PutHdr;                        make; make install)
		(cd ShrinkCube;                    make; make install)
		(cd Shrink;                        make; make install)
		(cd SubCube;       ./Configure.sh; make; make install)
		(cd Subimage;      ./Configure.sh; make; make install)
		(cd Subset;        ./Configure.sh; make; make install)
		(cd Transpose;     ./Configure.sh; make; make install)
		(cd WWT;           ./Configure.sh; make; make install)
		(cd Viewer;        ./Configure.sh; make; make install)

lib:
		rm -f libmontage.a libmontage.so
		ar q  libmontage.a \
			util/checkFile.o util/checkHdr.o util/checkWCS.o \
			util/debugCheck.o util/filePath.o \
			Add/montageAdd.o \
			AddCube/montageAddCube.o \
			Background/montageBackground.o \
			BestImage/montageBestImage.o \
			BgModel/montageBgModel.o \
			CoverageCheck/montageCoverageCheck.o \
			Diff/montageDiff.o \
			Examine/montageExamine.o \
			Fitplane/montageFitplane.o \
			FixNaN/montageFixNaN.o \
			GetHdr/montageGetHdr.o \
			Hdr/montageHdr.o \
			Histogram/montageHistogram.o \
			Imgtbl/montageImgtbl.o \
			MakeHdr/montageMakeHdr.o \
			MakeImg/montageMakeImg.o \
			Overlaps/montageOverlaps.o \
			ProjectCube/montageProjectCube.o \
			Project/montageProject.o \
			ProjectPP/montageProjectPP.o \
			ProjectQL/montageProjectQL.o \
			PutHdr/montagePutHdr.o \
			ShrinkCube/montageShrinkCube.o \
			Shrink/montageShrink.o \
			SubCube/montageSubCube.o \
			Subimage/montageSubimage.o \
			Subset/montageSubset.o \
			Transpose/montageTranspose.o \
			Viewer/montageViewer.o \
			Viewer/mViewer_graphics.o \
			Viewer/mViewer_grid.o
		gcc -shared $(SO_FLAG) -o libmontage.so \
			util/checkFile.o util/checkHdr.o util/checkWCS.o \
			util/debugCheck.o util/filePath.o \
			Add/montageAdd.o \
			AddCube/montageAddCube.o \
			Background/montageBackground.o \
			BestImage/montageBestImage.o \
			BgModel/montageBgModel.o \
			CoverageCheck/montageCoverageCheck.o \
			Diff/montageDiff.o \
			Examine/montageExamine.o \
			Fitplane/montageFitplane.o \
			FixNaN/montageFixNaN.o \
			GetHdr/montageGetHdr.o \
			Hdr/montageHdr.o \
			Histogram/montageHistogram.o \
			Imgtbl/montageImgtbl.o \
			MakeHdr/montageMakeHdr.o \
			MakeImg/montageMakeImg.o \
			Overlaps/montageOverlaps.o \
			ProjectCube/montageProjectCube.o \
			Project/montageProject.o \
			ProjectPP/montageProjectPP.o \
			ProjectQL/montageProjectQL.o \
			PutHdr/montagePutHdr.o \
			ShrinkCube/montageShrinkCube.o \
			Shrink/montageShrink.o \
			SubCube/montageSubCube.o \
			Subimage/montageSubimage.o \
			Subset/montageSubset.o \
			Transpose/montageTranspose.o \
			Viewer/montageViewer.o \
			Viewer/mViewer_graphics.o \
			Viewer/mViewer_grid.o

doc:
			gcc -o mLibDoc mLibDoc.c
			mLibDoc Add
			mLibDoc AddCube
			mLibDoc Background
			mLibDoc BestImage
			mLibDoc BgModel
			mLibDoc CoverageCheck
			mLibDoc Diff
			mLibDoc Examine
			mLibDoc Fitplane
			mLibDoc FixNaN
			mLibDoc GetHdr
			mLibDoc Hdr
			mLibDoc Histogram
			mLibDoc Imgtbl
			mLibDoc MakeHdr
			mLibDoc MakeImg
			mLibDoc Overlaps
			mLibDoc ProjectCube
			mLibDoc Project
			mLibDoc ProjectPP
			mLibDoc ProjectQL
			mLibDoc PutHdr
			mLibDoc ShrinkCube
			mLibDoc Shrink
			mLibDoc SubCube
			mLibDoc Subimage
			mLibDoc Subset
			mLibDoc Transpose
			mLibDoc Viewer

clean:
		(cd util;          make clean)
		(cd Add;           make clean)
		(cd AddCube;       make clean)
		(cd Background;    make clean)
		(cd BestImage;     make clean)
		(cd BgModel;       make clean)
		(cd CoverageCheck; make clean)
		(cd Diff;          make clean)
		(cd Examine;       make clean)
		(cd Fitplane;      make clean)
		(cd FixNaN;        make clean)
		(cd GetHdr;        make clean)
		(cd Hdr;           make clean)
		(cd Histogram;     make clean)
		(cd Imgtbl;        make clean)
		(cd MakeHdr;       make clean)
		(cd MakeImg;       make clean)
		(cd Overlaps;      make clean)
		(cd ProjectCube;   make clean)
		(cd Project;       make clean)
		(cd ProjectPP;     make clean)
		(cd ProjectQL;     make clean)
		(cd PutHdr;        make clean)
		(cd ShrinkCube;    make clean)
		(cd Shrink;        make clean)
		(cd SubCube;       make clean)
		(cd Subimage;      make clean)
		(cd Subset;        make clean)
		(cd Transpose;     make clean)
		(cd WWT;           make clean)
		(cd Viewer;        make clean)
		rm -f libmontage.a libmontage.so

=== util/Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 	(cd Archive/ArchiveExec; make; make install)
 	(cd Archive/ArchiveGet; ./Configure.sh; make; make install)
 	(cd BestImage; make; make install)
+	(cd Calibrate; make; make install)
 	(cd CatMap; ./Configure.sh; make; make install)
+	(cd CatSearch; make; make install)
 	(cd Examine; ./Configure.sh; make; make install)
 	(cd Exec; ./Configure.sh; make; make install)
 	(cd FixNaN; ./Configure.sh; make; make install)
@@ -11,19 +13,21 @@
 	(cd JPEG; ./Configure.sh; make; make install)
 	(cd Pad; ./Configure.sh; make; make install)
 	(cd Pix2Coord; ./Configure.sh; make; make install)
-	(cd QuickSearch; ./Configure.sh; make; make install)
 	(cd Rotate; ./Configure.sh; make; make install)
 	(cd ShrinkHdr; ./Configure.sh; make; make install)
 	(cd TblExec; make; make install)
 	(cd Transpose; ./Configure.sh; make; make install)
 	(cd Viewer; ./Configure.sh; make; make install)
 
+
 clean:
 	(cd Archive/ArchiveList; make clean)
 	(cd Archive/ArchiveExec; make clean)
 	(cd Archive/ArchiveGet; make clean)
 	(cd BestImage; make clean)
+	(cd Calibrate; make clean)
 	(cd CatMap; make clean)
+	(cd CatSearch; make clean)
 	(cd Examine; make clean)
 	(cd Exec; make clean)
 	(cd FixNaN; make clean)
@@ -31,7 +35,6 @@
 	(cd JPEG; make clean)
 	(cd Pad; make clean)
 	(cd Pix2Coord; make clean)
-	(cd QuickSearch; make clean)
 	(cd Rotate; make clean)
 	(cd ShrinkHdr; make clean)
 	(cd TblExec; make clean)

=== MontageLib/BestImage/Makefile ===
# Filename: Makefile

# Version  Developer        Date     Change
# -------  ---------------  -------  -----------------
# 1.0      John Good        14Feb05  Original Makefile

.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS =	-g -I. -I.. -I../../lib/include -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lsvc -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mBestImage:	mBestImage.o montageBestImage.o \
		../util/checkWCS.o \
		../util/filePath.o \
		../util/debugCheck.o
		$(CC) -o mBestImage \
		mBestImage.o montageBestImage.o \
		../util/checkWCS.o \
		../util/filePath.o \
		../util/debugCheck.o $(LIBS)

install:
		cp mBestImage ../../bin

clean:
		rm -f mBestImage *.o

=== MontageLib/Hdr/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	cc -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC
CFLAGS =	-g -I. -I.. -I../../lib/include -Wall
LIBS   =	-L../../lib -lwcs -lcfitsio -lcoord -lmtbl -lsvc \
		-lboundaries -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mHdr:	mHdr.o montageHdr.o
		$(CC) -o mHdr mHdr.o montageHdr.o $(LIBS)

install:
		cp mHdr ../../bin

clean:
		rm -f mHdr *.o

=== MontageLib/test/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC
LIBS   =	-L.. -lmontage -L../../lib -lwww -lpixbounds -ltwoplane -lboundaries -lcoord -lmtbl -lwcs -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

all: runall

runall:			runall.o
				$(CC) -o runall runall.o $(LIBS)

clean:
				rm -f runall projtest *.o

=== lib/src/Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
-l:
+all:
 	(cd cfitsio-3.25; ./configure; make; cp libcfitsio.a ../..; cp *.h ../../include)
 	(cd cmd; make; make install)
 	(cd coord; make; make install)
 	(cd mtbl; make; make install)
 	(cd svc; make; make install)
+	(cd json; make; make install)
 	(cd boundaries; make; make install)
 	(cd pixbounds; make; make install)
-	(cd wcstools-3.8.7/libwcs; make; cp libwcs.a ../../..; cp *.h ../../../include)
+	(cd www; make; make install)
+	(cd wcssubs3.9.0_montage; make; cp libwcs.a ../..; cp *.h ../../include)
 	(cd two_plane_v1.1; make; make install)
 	(cd lodepng_20140823; make; make install)
 	(cd jpeg-8b; ./configure; make; cp .libs/libjpeg.a ../..; cp jpeglib.h jconfig.h jmorecfg.h ../../include)
@@ -21,9 +23,10 @@
 	(cd coord; make clean)
 	(cd mtbl; make clean)
 	(cd svc; make clean)
+	(cd json; make clean)
 	(cd boundaries; make clean)
 	(cd pixbounds; make clean)
-	(cd wcstools-3.8.7/libwcs; make clean)
+	(cd wcssubs3.9.0_montage; make clean)
 	(cd two_plane_v1.1; make clean)
 	(cd lodepng_20140823; make clean)
 	(cd jpeg-8b; make clean)

=== web/mViewer/Makefile ===
# ================================================================
# Makefile for product: wsvc/mViewer
#
#
# ================================================================

.SUFFIXES:
SHELL = /bin/sh
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -m 755 -p
INSTALL_DATA = $(INSTALL) -m 644 -p
INSTALL_DIR = $(INSTALL) -m 755 -d

# The directory for the base product group,
# of which this product is a member

# OS detection (poor mans autoconf)
os = $(firstword $(shell uname))
ifeq ($(filter SunOS Linux,$(os)),)
    $(error $(os) platform not supported - please compile on Linux or Solaris)
else
    $(info Building for $(os) platform)
endif

# Standard directory variables
prefix=$(CM_BASE_APP_DIR)
exec_prefix=$(CM_BASE_APP_DIR)

datadir=$(prefix)/share/wsvc/mViewer
webdir=$(prefix)/web
cgidir=$(webdir)/cgi-bin/mViewer
appdir=$(webdir)/applications/mViewer
srcdir=.

# The names of all executables in this product
progs = nph-mViewer nph-mViewerInit nph-mViewerHdr nph-mViewerApp

# The names of all source files in this product
sources = nph-mViewerInit.c nph-mViewerHdr.c

srcmviewer = nph-mViewer.c \
	extractViewParam.c \
	getFitshdr.c \
	checkFileExist.c \
        colorLookup.c \
	makeImage.c \
	printRetval.c \
	mviewerUtil.c \
	imZoom.c \
	pick.c \
        pix2sky.c \
	sky2pix.c \
	compute_normal.c \
	computeSkyDist.c \
	constraintFilter.c \
	parseCsysstr.c \
	subsetImage.c \
	constructRetjson.c \
	fileCopy.c \
	extractAvePlane.c \
	generateMedianPlane.c \
	qsort.c \
	rewriteFitsCube.c \
	extractWaveSpectra.c \


srcmviewerapp = nph-mViewerApp.c \
	makeStartupHtml.c \
	writeJsonFile.c \
	extractStartupParam.c \
	readStartupParam.c \
	getFitshdr.c \
	checkFileExist.c \
	writeOptionList.c \
	readImfileList.c \
	readFilelist.c \
	fileCopy.c \
	mviewerUtil.c

srcmviewerhdr = nph-mViewerHdr.c \
	writeFitshdrHtml.c \
	printRetval.c


# ================================================================
# Setup / sanity checks
# ================================================================

# Determine whether or not compilation can occur
comp_tgts = all install test $(progs) \
            $(sources:.c=.o) $(sources:.c=.d) \
	    $(srcmviewer:.c=.o) $(srcmviewer:.c=.d) \
	    $(srcmviewerapp:.c=.o) $(srcmviewerapp:.c=.d) \
	    $(srcmviewerhdr:.c=.o) $(srcmviewerhdr:.c=.d)


dep_check = true
ifeq ($(filter-out $(MAKECMDGOALS), $(comp_tgts)),$(strip $(comp_tgts)))
    ifneq ($(MAKECMDGOALS),)
        dep_check = false
    endif
endif

# Make sure required environment variables are defined
ifeq ($(dep_check),true)
    ifeq ($(wildcard $(CM_BASE_DIR)),)
        $(error error: CM_BASE_DIR environment variable invalid)
    endif
    $(warning CM_BASE_DIR:    $(CM_BASE_DIR))
    ifeq ($(wildcard $(CM_TPS_DIR)),)
        $(error error: CM_TPS_DIR environment variable invalid)
    endif
    $(warning CM_TPS_DIR:    $(CM_TPS_DIR))
endif

# Function to search PATH for a file
pathsearch = $(firstword $(wildcard $(addsuffix /$(strip $(1)),$(subst :, ,$(PATH)))))

# Standard compiler variables
CC = gcc
ifndef CM_RELEASE_BUILD
    CFLAGS = -g -Wall -D_FILE_OFFSET_BITS=64
else
    CFLAGS = -O -D_FILE_OFFSET_BITS=64
endif
CPPFLAGS = -I$(srcdir) \
           -I$(CM_BASE_DIR)/include \
           -I$(CM_TPS_DIR)/include \
           -DCM_BASE_APP_DIR='"$(CM_BASE_APP_DIR)"' \
	   -DMY_DATA_DIR='"$(datadir)"'


# When compiling, create/update build environment file
ifeq ($(dep_check),true)
    build_env = $(call pathsearch, $(CC)) \
                $(CM_TPS_DIR) \
                $(CM_BASE_DIR) \
		$(CM_BASE_APP_DIR)
    prev_env =  $(shell cat ./.build_env)
    ifneq ($(strip $(build_env)), $(strip $(prev_env)))
        $(warning creating/updating build environment file (.build_env))
        $(shell rm -f ./.build_env)
        $(shell echo "$(build_env)" > ./.build_env)
    endif
endif


# ================================================================
# External library dependencies
# ================================================================
sys_libs = -lexpat -lm
ifeq (SunOS,$(os))
    sys_libs += -lsocket -lnsl
endif
base_libs = $(addprefix $(CM_BASE_DIR)/lib/, \
	liblookup.a libcoord.a libwww.a libpassword.a libencode.a \
	libconfig.a libvarcmd.a libmtbl.a libsvc.a libjson.a)
tps_libs = $(addprefix $(CM_TPS_DIR)/lib/, \
	libcfitsio.a libwcs.a libnedcli.a libsimcli.a)
env_libs =  $(addprefix $(CM_ENV_DIR)/misc/lib/, libscew.a) $(addprefix $(CM_ENV_DIR)/core/lib64/, libcrypto.a)



# ================================================================
# Pattern Rules
# ================================================================

vpath %.c       $(srcdir)
vpath %.h       $(srcdir)

# Creates object files from C source files
%.o : %.c
		$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

# Creates dependency files from C source files
%.d : %.c
		@echo ... Creating $@; set -e; rm -f $@; \
		$(CC) -MM -MF $@ $(CPPFLAGS) $<; \
		sed 's,\($*\)\.o[ :]*,\1.o $@ : ./.build_env ,g' < $@ > $@.$$$$; \
		mv $@.$$$$ $@


# ================================================================
# Targets
# ================================================================

all :		$(progs) 

.PHONY :	all clean distclean installdirs install installdocs uninstall
.SECONDARY :    $(sources:.c=.d) $(srcmviewer:.c=.d) $(srcmviewerapp:.c=.d)
.DELETE_ON_ERROR : ;

ifeq ($(dep_check),true)
    include $(sources:.c=.d)
    include $(srcmviewer:.c=.d)
    include $(srcmviewerhdr:.c=.d)
    include $(srcmviewerapp:.c=.d)
endif



# Compiles executables
nph-mViewer :	$(srcmviewer:.c=.o) $(base_libs) $(tps_libs) \
		$(env_libs)
		$(CC) $(CFLAGS) -o $@ $^ $(sys_libs)

nph-mViewerInit :	nph-mViewerInit.o $(base_libs)
		$(CC) $(CFLAGS) -o $@ $^ $(sys_libs)

nph-mViewerHdr :	$(srcmviewerhdr:.c=.o) $(base_libs)
		$(CC) $(CFLAGS) -o $@ $^ $(sys_libs)

nph-mViewerApp :	$(srcmviewerapp:.c=.o) $(base_libs) $(tps_libs) \
		$(env_libs)
		$(CC) $(CFLAGS) -o $@ $^ $(sys_libs)



# Cleans the build tree
clean :
		rm -f *.o $(progs) ./.build_env core webcontent.tar data.tar

# The same as clean
distclean :	clean

# Creates required installation directories
installdirs :
		$(INSTALL_DIR) $(datadir) $(cgidir) $(appdir)

# Creates a tar-ball for all web content
FORCE:
data.tar : FORCE
		tar -cf $@ -C $(srcdir)/data .
webcontent.tar : FORCE 
		tar -cf $@ -C $(srcdir)/html .


# Installs executables
install :       $(progs) data.tar webcontent.tar installdirs 
		tar -cf webcontent.tar -C $(srcdir)/html .
		$(INSTALL_PROGRAM) $(progs) $(cgidir)
		rm -rf $(datadir)/*
		$(INSTALL_DATA) data.tar $(datadir)
		cd $(datadir); tar -xf data.tar; rm data.tar
		rm -rf $(appdir)/*
		$(INSTALL_DATA) webcontent.tar $(appdir)
		cd $(appdir); tar -xf webcontent.tar; rm webcontent.tar

# Uninstalls the product
uninstall :
		rm -rf $(cgidir) $(appdir) $(datadir)

# ================================================================

=== lib/src/coord/Makefile ===
CC      =	gcc
CFLAGS  =	-g -c -D_LARGEFILE_SOURCE \
		-D_FILE_OFFSET_BITS=64 -I. -I../../include
LIBNAME =	libcoord.a

SRCS    =	ccalc.c                    \
   		parseCoordinateString.c    \
		sexToDecimalDegree.c       \
		decimalDegreeToSex.c       \
		convertCoordinates.c       \
		convertBesselianJulian.c   \
		precessBesselian.c         \
		precessJulian.c            \
		convertEclEqu.c            \
		convertEquGal.c            \
		convertGalSgal.c           \
		computeFKCorrections.c

OBJS    =	${SRCS:.c=.o}


libcoord.a:	${OBJS}
		rm -f ${LIBNAME}
		ar q ${LIBNAME} ${OBJS}

${OBJS}:	coord.h

install:
		cp libcoord.a ../..
		cp coord.h ../../include

clean:
		rm -f libcoord.a *.o *.a *.i a.out core

=== lib/src/json/Makefile ===
CC =		 gcc -g -I. -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

libjson.a:	jsonlib.o
		ar rv libjson.a jsonlib.o

jsonlib.o:	jsonlib.c json.h

install:
		cp libjson.a ../..
		cp json.h ../../include

clean:
		rm -f libjson.a *.o *.a

=== lib/src/www/Makefile ===
CC      =		gcc
CFLAGS  =		-c -g -I. -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
LIBNAME =		libwww.a

SRCS    =		www.c

OBJS    =		${SRCS:.c=.o}


libwww.a:	${OBJS}
			rm -f ${LIBNAME}
			ar q ${LIBNAME} ${OBJS}

${OBJS}:		www.h

install:
			cp libwww.a ../..
			cp www.h ../../include

clean:
			rm -f libwww.a *.o *.a *.i a.out core

=== lib/src/mtbl/test/Makefile ===
all:		test1 test2 test3 tbl2xml test_mtblio nian nian2 multi_test

test_mtblio:		test_mtblio.o ../libmtbl.a
		gcc -g -o test_mtblio test_mtblio.o -L.. -lmtbl

test_mtblio.o:	test_mtblio.c
		gcc -g -I.. -c test_mtblio.c

nian:		nian.o ../libmtbl.a
		gcc -g -o nian nian.o -L.. -lmtbl

nian.o:	nian.c
		gcc -g -I.. -c nian.c

nian2:		nian2.o ../libmtbl.a
		gcc -g -o nian2 nian2.o -L.. -lmtbl

nian2.o:	nian2.c
		gcc -g -I.. -c nian2.c

test1:		test1.o ../libmtbl.a
		gcc -g -o test1 test1.o -L.. -lmtbl

test1.o:	test1.c
		gcc -g -I.. -c test1.c

test2:		test2.o ../libmtbl.a
		gcc -g -o test2 test2.o -L.. -lmtbl

test2.o:	test2.c
		gcc -g -I.. -c test2.c

test3:		test3.o ../libmtbl.a
		gcc -g -o test3 test3.o -L.. -lmtbl

test3.o:	test3.c
		gcc -g -I.. -c test3.c

multi_test:	multi_test.o ../libmtbl.a
		gcc -g -o multi_test multi_test.o -L.. -lmtbl

multi_test.o:	multi_test.c
		gcc -g -I.. -c multi_test.c

tbl2xml:	tbl2xml.o ../libmtbl.a
		gcc -g -o tbl2xml tbl2xml.o -L.. -lmtbl

tbl2xml.o:	tbl2xml.c
		gcc -g -I.. -c tbl2xml.c

clean:
		rm -f test_mtblio test1 test2 test3 tbl2xml *.o core

=== debian/changelog ===
montage (5.0+dfsg-1) unstable; urgency=low

  * Update standards-version (no changes) and VCS fields
  * New upstream version 5.0+dfsg
  * Push Standards-Version to 4.0.0. No changes.
  * Rediff patches and update to new version
  * Remove obsolete mQuickSearch
  * Add new binaries
  * Update manpages

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jun 2017 17:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: montage
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper (>= 9),
                libcfitsio-dev | libcfitsio3-dev,
 	       libfreetype6-dev,
                libjpeg-dev,
                libwcstools-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://montage.ipac.caltech.edu/
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/montage.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/montage.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/montage.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/montage.git
 
 Package: montage
 Architecture: any
